Skip to content

Render Animated Transit Chart (SVG) - v2​

GET
/api/chart2/animated-transit.svg

Render an animated transit chart with CSS keyframe animations.

Required parameters:

  • width, height: Chart dimensions
  • dateTime: Natal date/time (YYYY-MM-DDTHH:mm)
  • location.longitude, location.latitude, location.timezone: Natal location
  • transit.dateTime: Start transit date/time
  • target.dateTime: End transit date/time (animation target)
  • animation.duration: Animation duration in milliseconds

Optional parameters:

  • animation.easing: Easing function (linear, easeIn, easeOut, easeInOut, bounce)
  • animation.loop: Loop animation (true/false)

Authorizations​

ApiKeyAuth

API key for authentication. Get your API key from the dashboard.

Type
API Key (header: X-Api-Key)

Parameters​

Query Parameters

width*
Type
string
Required
height*
Type
string
Required
location.longitude*
Type
string
Required
location.latitude*
Type
string
Required
location.timezone*
Type
string
Required
dateTime*
Type
string
Required
transit.dateTime*
Type
string
Required
transit.timezone
Type
string
transit.longitude
Type
string
transit.latitude
Type
string
animation.duration*
Type
string
Required
animation.easing
Type
string
Valid values
"linear""easeIn""easeOut""easeInOut""bounce"
animation.loop
Type
string
target.dateTime*
Type
string
Required
target.timezone
Type
string

Responses​

Animated chart rendered successfully

image/svg+xml
JSON
[
]

Playground​

Authorization
Variables
Key
Value

Samples​

Powered by VitePress OpenAPI

AstroAPI Documentation